## httpdirfs-fuse 1.0.1

=== Makefile ===
VERSION=1.0.1

CFLAGS+= -g -O2 -Wall -Wextra -D_FILE_OFFSET_BITS=64 -DVERSION=\"$(VERSION)\"
LDFLAGS+= -lgumbo -lcurl -lfuse -lcrypto
COBJS = main.o network.o fuse_local.o link.o

prefix ?= /usr/local

all: httpdirfs

%.o: src/%.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -c -o $@ $<

httpdirfs: $(COBJS)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^

install:
	install -m 755 -D httpdirfs \
		$(DESTDIR)$(prefix)/bin/httpdirfs
	install -m 644 -D doc/man/httpdirfs.1 \
		$(DESTDIR)$(prefix)/share/man/man1/httpdirfs.1

doc:
	doxygen Doxyfile

clean:
	-rm -f *.o
	-rm -f httpdirfs
	-rm -rf doc/html

distclean: clean

uninstall:
	-rm -f $(DESTDIR)$(prefix)/bin/httpdirfs
	-rm -f $(DESTDIR)$(prefix)/share/man/man1/httpdirfs.1

.PHONY: all doc install clean distclean uninstall

=== debian/changelog ===
httpdirfs-fuse (1.0.1-1ubuntu1) eoan; urgency=medium

  * debian/patches/library-link-order.patch: Ensure libraries linked are
    listed after objects using them.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 03 Sep 2019 17:10:58 -0700

httpdirfs-fuse (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #918961)

 -- Jerome Charaoui <jerome@riseup.net>  Fri, 25 Jan 2019 17:52:59 -0500

=== debian/control ===
Source: httpdirfs-fuse
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jerome Charaoui <jerome@riseup.net>
Build-Depends: debhelper (>= 12),
               libgumbo-dev,
               libfuse-dev,
               libssl-dev,
               libcurl4-openssl-dev,
               pkg-config
Standards-Version: 4.3.0.1
Homepage: https://github.com/fangfufu/httpdirfs
Vcs-Git: https://salsa.debian.org/lavamind/httpdirfs.git
Vcs-Browser: https://salsa.debian.org/lavamind/httpdirfs
Rules-Requires-Root: no

Package: httpdirfs
Architecture: linux-any kfreebsd-any
Depends: fuse,
         ${misc:Depends},
         ${shlibs:Depends}
Description: filesystem client for HTTP directory listings
 httpdirfs is program that can be used to mount HTTP directory listings
 (generated using an Apache DirectoryIndex, for example) as a virtual filesystem
 through the FUSE interface. It supports HTTP basic authentication.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	prefix=/usr dh $@

## httpdirfs-fuse 1.1.10

=== Makefile ===
VERSION=1.1.10

CFLAGS+= -O2 -Wall -Wextra -Wshadow -rdynamic\
	-D_FILE_OFFSET_BITS=64 -DVERSION=\"$(VERSION)\" \
	`pkg-config --cflags-only-I gumbo libcurl fuse`
LIBS = -pthread -lgumbo -lcurl -lfuse -lcrypto
COBJS = main.o network.o fuse_local.o link.o cache.o util.o

prefix ?= /usr/local

all: httpdirfs

%.o: src/%.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -c -o $@ $<

httpdirfs: $(COBJS)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

install:
	install -m 755 -D httpdirfs \
		$(DESTDIR)$(prefix)/bin/httpdirfs
	install -m 644 -D doc/man/httpdirfs.1 \
		$(DESTDIR)$(prefix)/share/man/man1/httpdirfs.1

doc:
	doxygen Doxyfile

clean:
	-rm -f *.o
	-rm -f httpdirfs
	-rm -rf doc/html

distclean: clean

uninstall:
	-rm -f $(DESTDIR)$(prefix)/bin/httpdirfs
	-rm -f $(DESTDIR)$(prefix)/share/man/man1/httpdirfs.1

depend: .depend
.depend: src/*.c
	rm -f ./.depend
	$(CC) $(CFLAGS) -MM $^ -MF ./.depend;
include .depend

.PHONY: all doc install clean distclean uninstall depend

=== debian/changelog ===
httpdirfs-fuse (1.1.10-2) unstable; urgency=medium

  * Fix VCS-* field URLs

 -- Jerome Charaoui <jerome@riseup.net>  Fri, 13 Sep 2019 09:59:40 -0400

httpdirfs-fuse (1.1.10-1) unstable; urgency=medium

  * New upstream release (Closes: #939361)

 -- Jerome Charaoui <jerome@riseup.net>  Fri, 13 Sep 2019 09:25:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: httpdirfs-fuse
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jerome Charaoui <jerome@riseup.net>
+Maintainer: Jerome Charaoui <jerome@riseup.net>
 Build-Depends: debhelper (>= 12),
                libgumbo-dev,
                libfuse-dev,
                libssl-dev,
                libcurl4-openssl-dev,
                pkg-config
-Standards-Version: 4.3.0.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/fangfufu/httpdirfs
-Vcs-Git: https://salsa.debian.org/lavamind/httpdirfs.git
-Vcs-Browser: https://salsa.debian.org/lavamind/httpdirfs
+Vcs-Git: https://salsa.debian.org/lavamind/httpdirfs-fuse.git
+Vcs-Browser: https://salsa.debian.org/lavamind/httpdirfs-fuse
 Rules-Requires-Root: no
 
 Package: httpdirfs

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	prefix=/usr dh $@
+
+override_dh_clean:
+	dh_clean
+	$(RM) .depend

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/httpdirfs-fuse-$1\.tar\.gz/ \
  https://github.com/fangfufu/httpdirfs/releases .*/v?(\d\S+)\.tar\.gz

## httpdirfs-fuse 1.2.3

=== Makefile ===
VERSION = 1.2.3

CFLAGS += -O2 -Wall -Wextra -Wshadow -rdynamic -D_GNU_SOURCE\
	-D_FILE_OFFSET_BITS=64 -DVERSION=\"$(VERSION)\"\
	`pkg-config --cflags-only-I gumbo libcurl fuse uuid expat`
LDFLAGS += `pkg-config --libs-only-L gumbo libcurl fuse uuid expat`
LIBS = -pthread -lgumbo -lcurl -lfuse -lcrypto -lexpat
COBJS = main.o network.o fuse_local.o link.o cache.o util.o sonic.o log.o\
	config.o

OS := $(shell uname)
ifeq ($(OS),Darwin)
  BREW_PREFIX := $(shell brew --prefix)
  CFLAGS  +=  -I$(BREW_PREFIX)/opt/openssl/include \
	-I$(BREW_PREFIX)/opt/curl/include
  LDFLAGS +=  -L$(BREW_PREFIX)/opt/openssl/lib \
	-L$(BREW_PREFIX)/opt/curl/lib
else
  LIBS    +=  -luuid
endif
ifeq ($(OS),FreeBSD)
  LIBS    +=  -lexecinfo
endif

prefix ?= /usr/local

all: httpdirfs

%.o: src/%.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -c -o $@ $<

httpdirfs: $(COBJS)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

install:
ifeq ($(OS),Linux)
	install -m 755 -D httpdirfs \
		$(DESTDIR)$(prefix)/bin/httpdirfs
	install -m 644 -D doc/man/httpdirfs.1 \
		$(DESTDIR)$(prefix)/share/man/man1/httpdirfs.1
endif
ifeq ($(OS),FreeBSD)
	install -m 755 httpdirfs \
		$(DESTDIR)$(prefix)/bin/httpdirfs
	gzip -f -k doc/man/httpdirfs.1
	install -m 644 doc/man/httpdirfs.1.gz \
		$(DESTDIR)$(prefix)/man/man1/httpdirfs.1.gz
endif
ifeq ($(OS),Darwin)
	install -d $(DESTDIR)$(prefix)/bin
	install -m 755 httpdirfs \
		$(DESTDIR)$(prefix)/bin/httpdirfs
	install -d $(DESTDIR)$(prefix)/share/man/man1
	install -m 644 doc/man/httpdirfs.1 \
		$(DESTDIR)$(prefix)/share/man/man1/httpdirfs.1
endif

man: httpdirfs
	help2man --no-discard-stderr ./httpdirfs > doc/man/httpdirfs.1

doc:
	doxygen Doxyfile

format:
	indent -kr -nut src/*.c src/*.h

clean:
	-rm -f src/*.h~
	-rm -f src/*.c~
	-rm -f *.o
	-rm -f httpdirfs

distclean: clean
	-rm -rf doc/html
	-rm -rf doc/man/httpdirfs.1

uninstall:
	-rm -f $(DESTDIR)$(prefix)/bin/httpdirfs
ifeq ($(OS),Linux)
	-rm -f $(DESTDIR)$(prefix)/share/man/man1/httpdirfs.1
endif
ifeq ($(OS),FreeBSD)
	-rm -f $(DESTDIR)$(prefix)/man/man1/httpdirfs.1.gz
endif
ifeq ($(OS),Darwin)
	-rm -f $(DESTDIR)$(prefix)/share/man/man1/httpdirfs.1
endif

depend: .depend
.depend: src/*.c
	rm -f ./.depend
	$(CC) $(CFLAGS) -MM $^ -MF ./.depend;
include .depend

.PHONY: all man doc install clean distclean uninstall depend format

=== debian/changelog ===
httpdirfs-fuse (1.2.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Jérôme Charaoui ]
  * New upstream version 1.2.3
  * Adjust debian/rules to build manpages
  * Add missing build-deps
  * Bump Standards-Version, no changes needed
  * Add autopkgtests

 -- Jerome Charaoui <jerome@riseup.net>  Fri, 22 Apr 2022 12:25:54 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Jerome Charaoui <jerome@riseup.net>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
+               help2man,
+               libexpat1-dev,
                libgumbo-dev,
                libfuse-dev,
                libssl-dev,
                libcurl4-openssl-dev,
+               uuid-dev,
                pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/fangfufu/httpdirfs
 Vcs-Git: https://salsa.debian.org/lavamind/httpdirfs-fuse.git
 Vcs-Browser: https://salsa.debian.org/lavamind/httpdirfs-fuse

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 %:
 	prefix=/usr dh $@
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_auto_clean:
 	$(RM) .depend
+
+execute_after_dh_auto_build:
+	$(MAKE) man

=== debian/tests/control ===
Tests: 0001-smoketest
Depends:
  @,
  ca-certificates,
  gzip,
  kmod
Restrictions: allow-stderr, needs-root, needs-internet, isolation-machine

## httpdirfs-fuse 1.2.4

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 VERSION = 1.2.3
 
-CFLAGS += -O2 -Wall -Wextra -Wshadow -rdynamic -D_GNU_SOURCE\
-	-D_FILE_OFFSET_BITS=64 -DVERSION=\"$(VERSION)\"\
+CFLAGS += -g -O2  -Wall -Wextra -Wshadow \
+	-fsanitize=undefined -fanalyzer -Wno-analyzer-file-leak \
+	-rdynamic -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DVERSION=\"$(VERSION)\"\
 	`pkg-config --cflags-only-I gumbo libcurl fuse uuid expat`
 LDFLAGS += `pkg-config --libs-only-L gumbo libcurl fuse uuid expat`
 LIBS = -pthread -lgumbo -lcurl -lfuse -lcrypto -lexpat
 COBJS = main.o network.o fuse_local.o link.o cache.o util.o sonic.o log.o\
-	config.o
+	config.o memcache.o
 
 OS := $(shell uname)
 ifeq ($(OS),Darwin)
@@ -56,17 +57,20 @@
 endif
 
 man: httpdirfs
-	help2man --no-discard-stderr ./httpdirfs > doc/man/httpdirfs.1
+	mkdir -p doc/man
+	help2man --name "mount HTTP directory as a virtual filesystem" \
+		--no-discard-stderr ./httpdirfs > doc/man/httpdirfs.1
 
 doc:
 	doxygen Doxyfile
 
 format:
-	indent -kr -nut src/*.c src/*.h
+	astyle --style=kr --align-pointer=name --max-code-length=80 src/*.c src/*.h
 
 clean:
 	-rm -f src/*.h~
 	-rm -f src/*.c~
+	-rm -f src/*orig
 	-rm -f *.o
 	-rm -f httpdirfs

=== debian/changelog ===
httpdirfs-fuse (1.2.4-2) unstable; urgency=medium

  [ Amin Bandali ]
  * d/rules: fix build on architectures where undefined behaviour
    sanitizer is not supported.

 -- Jérôme Charaoui <jerome@riseup.net>  Tue, 31 Jan 2023 14:12:23 -0500

httpdirfs-fuse (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4
  * d/gbp.conf: add config with new debian-branch name
  * d/control: fix my name
  * d/control: bump Standards-Version, no changes needed
  * d/rules: fix version number in Makefile
  * d/watch: fix URL and patterns
  * run wrap-and-sort -bastk

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 28 Jan 2023 09:34:33 -0500

=== debian/control ===
Source: httpdirfs-fuse
Section: utils
Priority: optional
Maintainer: Jérôme Charaoui <jerome@riseup.net>
Build-Depends:
 debhelper-compat (= 12),
 help2man,
 libcurl4-openssl-dev,
 libexpat1-dev,
 libfuse-dev,
 libgumbo-dev,
 libssl-dev,
 pkg-config,
 uuid-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/fangfufu/httpdirfs
Vcs-Git: https://salsa.debian.org/lavamind/httpdirfs-fuse.git
Vcs-Browser: https://salsa.debian.org/lavamind/httpdirfs-fuse
Rules-Requires-Root: no

Package: httpdirfs
Architecture: kfreebsd-any linux-any
Depends:
 fuse,
 ${misc:Depends},
 ${shlibs:Depends},
Description: filesystem client for HTTP directory listings
 httpdirfs is program that can be used to mount HTTP directory listings
 (generated using an Apache DirectoryIndex, for example) as a virtual filesystem
 through the FUSE interface. It supports HTTP basic authentication.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	prefix=/usr dh $@

execute_after_dh_auto_clean:
	$(RM) .depend

execute_before_dh_auto_configure:
	sed -i "s,^VERSION\s\+=.*,VERSION = $(DEB_VERSION_UPSTREAM)," Makefile
ifneq (,$(filter $(DEB_HOST_ARCH), mips64el mipsel alpha hppa ia64 powerpc riscv64 sh4))
# Disable undefined behaviour sanitizer on unsupported architectures
	sed -i "s/-fsanitize=undefined//" Makefile
endif

execute_after_dh_auto_build:
	$(MAKE) man

=== debian/watch ===
version=4
opts=filenamemangle=s/@ANY_VERSION@\.tar\.gz/httpdirfs-fuse-$1\.tar\.gz/ \
  https://github.com/fangfufu/httpdirfs/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## httpdirfs-fuse 1.2.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-VERSION = 1.2.3
+VERSION = 1.2.5
 
 CFLAGS += -g -O2  -Wall -Wextra -Wshadow \
-	-fsanitize=undefined -fanalyzer -Wno-analyzer-file-leak \
+	-fanalyzer -Wno-analyzer-file-leak \
 	-rdynamic -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DVERSION=\"$(VERSION)\"\
 	`pkg-config --cflags-only-I gumbo libcurl fuse uuid expat`
 LDFLAGS += `pkg-config --libs-only-L gumbo libcurl fuse uuid expat`

=== debian/changelog ===
httpdirfs-fuse (1.2.5-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:57:45 +1100

httpdirfs-fuse (1.2.5-1build3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:25:55 +0000

httpdirfs-fuse (1.2.5-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:13:01 +0000

httpdirfs-fuse (1.2.5-1build1) noble; urgency=medium

  * No-change rebuild against libgumbo2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 28 Oct 2023 03:01:23 +0000

httpdirfs-fuse (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5 (Closes: #1031744)
  * d/control: bump debhelper-compat to 13
  * d/rules: ubsan is not used anymore
  * d/watch: fix filenamemangle

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 25 Feb 2023 12:29:09 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: httpdirfs-fuse
 Section: utils
 Priority: optional
-Maintainer: Jérôme Charaoui <jerome@riseup.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jérôme Charaoui <jerome@riseup.net>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  help2man,
  libcurl4-openssl-dev,
  libexpat1-dev,

=== debian/tests/control ===
Tests: 0001-smoketest
Depends:
 ca-certificates,
 gzip,
 kmod,
 @,
Restrictions: allow-stderr, needs-root, needs-internet, isolation-machine

## httpdirfs-fuse 1.2.7

=== debian/changelog ===
httpdirfs-fuse (1.2.7-1) unstable; urgency=medium

  * New upstream version 1.2.7
  * d/control: update build dependencies
  * d/control: bump Standards-Version, no changes needed
  * d/patches: backport upstream patch removing -Werror
  * d/rules: update for new buildsystem
  * d/watch: update to recommended github config

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 30 Apr 2025 15:48:22 -0400

=== debian/control ===
Source: httpdirfs-fuse
Section: utils
Priority: optional
Maintainer: Jérôme Charaoui <jerome@riseup.net>
Build-Depends:
 debhelper-compat (= 13),
 help2man,
 libcurl4-openssl-dev,
 libexpat1-dev,
 libfuse3-dev,
 libgumbo-dev,
 libssl-dev,
 meson,
 pkgconf,
 uuid-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/fangfufu/httpdirfs
Vcs-Git: https://salsa.debian.org/lavamind/httpdirfs-fuse.git
Vcs-Browser: https://salsa.debian.org/lavamind/httpdirfs-fuse
Rules-Requires-Root: no

Package: httpdirfs
Architecture: kfreebsd-any linux-any
Depends:
 fuse3,
 ${misc:Depends},
 ${shlibs:Depends},
Description: filesystem client for HTTP directory listings
 httpdirfs is program that can be used to mount HTTP directory listings
 (generated using an Apache DirectoryIndex, for example) as a virtual filesystem
 through the FUSE interface. It supports HTTP basic authentication.

=== debian/watch ===
version=4
opts=\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
 https://api.github.com/repos/fangfufu/httpdirfs/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
